#
# spec file for package bonnie
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           bonnie
VCS: https://src.suse.de/SLFO-pool/bonnie#d95ce69c1839d2ba21f3976fd09f7a198c9bb5ec9a639f222d5429f2104a2fd1
Version:        1.6
Release:        160000.2.5
Summary:        File System Benchmark
License:        GPL-2.0-or-later
URL:            https://code.google.com/p/bonnie-64/
Source0:        %{name}-%{version}.tar.bz2
Patch0:         bonnie-fix-o_direct.diff

%description
Bonnie is a popular performance benchmark that targets various aspects
of Unix file systems.

%prep
%autosetup -p0 -n %{name}

%build
make SYSFLAGS="%{optflags}" %{?_smp_mflags}

%install
%make_install

%files
%doc bonnie.doc README
%{_bindir}/bonnie
%{_mandir}/man1/bonnie.1%{?ext_man}

%changelog
* Thu Feb 22 2024 dimstar@opensuse.org
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN
* Tue Nov  5 2019 mpluskal@suse.com
- Do not use download url anymore
* Thu Oct 17 2019 rbrown@suse.com
- Remove obsolete Groups tag (fate#326485)
* Fri Jan 11 2019 kurt@garloff.de
- bonnie-fix-o_direct.diff: Don't use O_DIRECT for character input,
  as newer kernels don't allow this.
* Fri Jan 11 2019 kurt@garloff.de
- Update to bonnie-1.6:
  * Use 16 threads by default
  * Smaller 4k reads (seeking)
  * Larger blocks in intelligent read/write
  * Smaller I/O size for char in/out
  * More digits for formatting.
* Thu Jun 30 2016 mpluskal@suse.com
- Use url for source
- Tiny spec file cleanups
* Thu Apr  9 2015 mpluskal@suse.com
- Cleanup spec file with spec-cleaner
- Remove ctcs packages
* Thu Mar  1 2012 jeffm@suse.de
- Update to 1.5: Minor changes.
* Wed Sep 21 2011 coolo@suse.com
- disable ctcs for > 11.4, not available
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Use %%_smp_mflags for parallel build
* Sun Aug 30 2009 aj@suse.de
- Fix last change.
* Wed Aug 26 2009 mls@suse.de
- make patch0 usage consistent
* Fri Sep 26 2008 vmarsik@suse.cz
- added subpackage for CTCS2 integration
* Sat Apr 26 2008 coolo@suse.de
- remove unused header file
* Mon May 22 2006 schwab@suse.de
- Don't build as root.
- Don't strip binaries.
* Fri May 19 2006 ro@suse.de
- fix build on ppc64 (define PAGE_MASK if not done)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Apr  4 2002 garloff@suse.de
- Version-1.4:
  * Fix seek benchmark: 1.3 read too large chunks (1MB instead
    of 16k) after every seek, resulting in too low seek numbers.
    bug #15642
* Sat Feb 23 2002 garloff@suse.de
- Compile fix for archs not supporting O_DIRECT (typo)
- Use O_DIRECT from fcntl.h if present.
* Wed Feb 20 2002 garloff@suse.de
- Update to bonnie-1.3:
  * Fixed HTML output (thanks to Rupert Kolb for notfying/patch)
  * Optionally use O_DIRECT (patch by Chris Mason / Andrea Arc.)
* Wed Aug 30 2000 garloff@suse.de
- Update to 1.2:
  * New option -u for getc_/putc_unlocked.
  * Fixed CPU percentage reports if equal or in excess of 100%%.
  * Machine name defaults to hostname now.
- Use BuildRoot.
* Sun Feb 13 2000 garloff@suse.de
- Moved manpage to /usr/share/man
- new options -y, -S, -p
- Add warning if test-size smaller memsize
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 20 1999 garloff@suse.de
- Initial check in of Big Bonnie.
- Added breakhandler to remove temporary files.
